Summary:	Adds phpunit channel to PEAR
Name:		php-channel-phpunit
Version:	1.3
Release:	%mkrel 17
Group:		Development/PHP
License:	BSD
URL:		http://pear.phpunit.de
Source0:	http://pear.phpunit.de/channel.xml
BuildRequires:	php-pear
Requires:	php-pear
Requires(post): php-pear
Requires(postun): php-pear
BuildArch:	noarch
Obsoletes:	php-pear-channel-phpunit


%description
This package adds the phpunit channel which allows PEAR packages from this
channel to be installed.

%prep

%setup -q -c -T

%build

%install
install -d %{buildroot}%{_datadir}/pear/packages

install -m0644 %{SOURCE0} %{buildroot}%{_datadir}/pear/packages/pear.phpunit.de.xml

%post
if [ $1 -eq  1 ] ; then
    %{_bindir}/pear channel-add %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null || :
else
    %{_bindir}/pear channel-update %{_datadir}/pear/packages/pear.phpunit.de.xml > /dev/null ||:
fi

%postun
if [ $1 -eq 0 ] ; then
    %{_bindir}/pear channel-delete pear.phpunit.de > /dev/null || :
fi

%files
%{_datadir}/pear/packages/pear.phpunit.de.xml




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.3-17.mga8
+ Revision: 1498593
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.3-16.mga7
+ Revision: 1272948
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1.3-15.mga6
+ Revision: 939938
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-14.mga5
+ Revision: 747204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-13.mga5
+ Revision: 687110
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 spuhler <spuhler> 1.3-12.mga5
+ Revision: 638553
- bumped version to get protocol updated

* Sat Oct 19 2013 umeabot <umeabot> 1.3-11.mga4
+ Revision: 526378
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 spuhler <spuhler> 1.3-10.mga4
+ Revision: 436847
- bumped version to get protocol updated
- updated from upstream

* Sun Jan 13 2013 umeabot <umeabot> 1.3-9.mga3
+ Revision: 375726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 spuhler <spuhler> 1.3-8.mga3
+ Revision: 340087
- bumped rel for rebuild and updating channel
- updated file to upstream

* Wed Mar 28 2012 pterjan <pterjan> 1.3-7.mga2
+ Revision: 227296
- Use local xml file in post

* Mon Mar 05 2012 spuhler <spuhler> 1.3-6.mga2
+ Revision: 218279
- increased rel so the channel will update
  fixed the post so it will actually updates

* Thu Jan 12 2012 spuhler <spuhler> 1.3-5.mga2
+ Revision: 195216
- increase rel to 5 for channel upgrade

* Sun Jan 08 2012 obgr_seneca <obgr_seneca> 1.3-4.mga2
+ Revision: 193348
- rebuild for missing signature

* Sun Jan 08 2012 spuhler <spuhler> 1.3-3.mga2
+ Revision: 193095
- increased release for channel to update

* Wed Jan 04 2012 spuhler <spuhler> 1.3-2.mga2
+ Revision: 190238
- added Obsoletes: php-pear-channel-phpunit

* Thu Jan 27 2011 spuhler <spuhler> 1.3-1.mga1
+ Revision: 41648
- removed buildroot definition from .spec
- imported package php-channel-phpunit


* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3-1mdv2011.0
+ Revision: 600418
- 1.3
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 1.0-7mdv2010.0
+ Revision: 397361
- rebuild
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdv2009.1
+ Revision: 321707
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.0-4mdv2009.0
+ Revision: 258994
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 246868
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.1
+ Revision: 106411
- import php-channel-phpunit


* Tue Nov 06 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2008.1
- initial Mandriva package (fc8 import)

* Fri Dec 29 2006 Christopher Stone <chris.stone@gmail.com> 1.0-2
- Add virtual provides on channel name

* Wed Dec 27 2006 Christopher Stone <chris.stone@gmail.com> 1.0-1
- Initial Release
